{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Create, update, or delete multiple secrets on a Workers for Platforms script in a single operation using JSON Merge Patch (RFC 7396).\nThis operation creates a single version with all changes included.\nPrefer this API instead of changing many secrets individually.\n\nUsage:\n\n- To create or update a secret, set its value to a secret object.\n- To delete a secret, set its value to `null`.\n- Secrets not included in the request are left unchanged.\n","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/workers_identifier"},"dispatch_namespace":{"$ref":"#/definitions/workers_dispatch_namespace_name"},"script_name":{"$ref":"#/definitions/workers_script_name"}},"required":["account_id","dispatch_namespace","script_name"],"additionalProperties":false},"body":{"$ref":"#/definitions/workers_secret-patch-request"}},"required":["path","body"],"additionalProperties":false,"definitions":{"workers_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"workers_dispatch_namespace_name":{"description":"Name of the Workers for Platforms dispatch namespace.","type":"string","pattern":"^.+$","examples":["my-dispatch-namespace"]},"workers_script_name":{"description":"Name of the script.","type":"string","pattern":"^[a-z0-9_][a-z0-9-_]*$","examples":["this-is_my_script-01"]},"workers_secret-patch-request":{"description":"JSON Merge Patch (RFC 7396) request body for bulk secret changes.\n","type":"object","properties":{"secrets":{"description":"Map of secret names to secret values:\n- Set to a secret object to create or update.\n- Set to `null` to delete.\n- Omit to leave unchanged.\n","type":"object","additionalProperties":{"allOf":[{"$ref":"#/definitions/workers_secret"}],"type":["object","null"]}},"version_tags":{"description":"Optional version tags to apply to the new script version.","type":"object","additionalProperties":true}}},"workers_secret":{"description":"A secret value accessible through a binding.","type":"object","oneOf":[{"$ref":"#/definitions/workers_binding_kind_secret_text"},{"$ref":"#/definitions/workers_binding_kind_secret_key"}]},"workers_binding_kind_secret_text":{"type":"object","properties":{"name":{"$ref":"#/definitions/workers_binding_name"},"text":{"description":"The secret value to use.","type":"string","examples":["My secret."]},"type":{"description":"The kind of resource that the binding provides.","type":"string","enum":["secret_text"]}},"required":["name","type","text"]},"workers_binding_kind_secret_key":{"type":"object","properties":{"algorithm":{"description":"Algorithm-specific key parameters. [Learn more](https://developer.mozilla.org/en-US/docs/Web/API/SubtleCrypto/importKey#algorithm).","type":"object"},"format":{"description":"Data format of the key. [Learn more](https://developer.mozilla.org/en-US/docs/Web/API/SubtleCrypto/importKey#format).","type":"string","enum":["raw","pkcs8","spki","jwk"],"examples":["raw"]},"key_base64":{"description":"Base64-encoded key data. Required if `format` is \"raw\", \"pkcs8\", or \"spki\".","type":"string"},"key_jwk":{"description":"Key data in [JSON Web Key](https://developer.mozilla.org/en-US/docs/Web/API/SubtleCrypto/importKey#json_web_key) format. Required if `format` is \"jwk\".","type":"object"},"name":{"$ref":"#/definitions/workers_binding_name"},"type":{"description":"The kind of resource that the binding provides.","type":"string","enum":["secret_key"]},"usages":{"description":"Allowed operations with the key. [Learn more](https://developer.mozilla.org/en-US/docs/Web/API/SubtleCrypto/importKey#keyUsages).","type":"array","items":{"enum":["encrypt","decrypt","sign","verify","deriveKey","deriveBits","wrapKey","unwrapKey"],"type":"string"},"examples":[["encrypt","decrypt"]]}},"required":["name","type","format","algorithm","usages"]},"workers_binding_name":{"description":"A JavaScript variable name for the binding.","type":"string","examples":["myBinding"]}}},"name":"Patch multiple Workers for Platforms script secrets","id":"cloudflare.namespace-worker-patch-script-secrets-bulk","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353","dispatch_namespace":"my-dispatch-namespace","script_name":"this-is_my_script-01"},"body":{}},"maxRequests":1,"summary":false}}